GuideLab Docs

Get the lab's shipping rate table

Returns the lab's shipping zones, shipping types and weight-band prices, the lab's default VAT rate, the active physical products that have no weight yet (priced as 0 g), and the countries of the lab's partner clinics.

GET
/shipping/settings

Returns the lab's shipping zones, shipping types and weight-band prices, the lab's default VAT rate, the active physical products that have no weight yet (priced as 0 g), and the countries of the lab's partner clinics.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/shipping/settings"
{  "currency": "string",  "taxMode": "unconfigured",  "defaultTaxRate": "string",  "zones": [    {      "id": "string",      "name": "string",      "isCatchAll": true,      "countries": [        "string"      ]    }  ],  "types": [    {      "id": "string",      "name": "string",      "method": "carrier",      "taxRate": "string",      "insurance": {        "mode": "off"      },      "isActive": true,      "sortOrder": 0    }  ],  "rates": [    {      "shippingTypeId": "string",      "zoneId": "string",      "minWeightGrams": 0,      "price": "string"    }  ],  "productsMissingWeight": {    "count": 0,    "products": [      {        "id": "string",        "name": "string"      }    ]  },  "partnerCountries": [    "string"  ]}
Empty
Empty